# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

## [v0.0.2](https://github.com/enesozturk/awesome-course/compare/v0.0.1...v0.0.2)

### Merged

- fix: update effects to fix editor active file changes [`#6`](https://github.com/enesozturk/awesome-course/pull/6)
- feat: syntax highlighting [`#2`](https://github.com/enesozturk/awesome-course/pull/2)
- refactor: use yarn if installed [`#4`](https://github.com/enesozturk/awesome-course/pull/4)
- chore: migrate to tailwindcss 3 [`#3`](https://github.com/enesozturk/awesome-course/pull/3)

## v0.0.1 - 2021-12-12

### Merged

- feat: add cli support [`#1`](https://github.com/enesozturk/awesome-course/pull/1)

### Commits

- feat: add documentation project [`2cb2424`](https://github.com/enesozturk/awesome-course/commit/2cb24240cf790868a609a8b25d70cde82d3eb0f8)
- chore(doc): update doc configs [`5834c8b`](https://github.com/enesozturk/awesome-course/commit/5834c8bcbca1adc29ec8258856f4671bb7ecb988)
- Initial commit from Create Next App [`a08ce27`](https://github.com/enesozturk/awesome-course/commit/a08ce270065a9531f9513974fbaee28202197de0)
- feat: add svg import support [`e67e0d8`](https://github.com/enesozturk/awesome-course/commit/e67e0d8a7d79518d76caa7ddeb3b8644811206d7)
- feat: add markdown packages and file utility functions [`e31c3de`](https://github.com/enesozturk/awesome-course/commit/e31c3debf1a55eedc42e7cbb0c26ed4bd8b211f2)
- chore: initialize project with tailwind and typescript configs [`de755ce`](https://github.com/enesozturk/awesome-course/commit/de755ce13e5d1214acbf7588a4d4d09a5c356de3)
- chore: update demo course content [`eeaed0f`](https://github.com/enesozturk/awesome-course/commit/eeaed0fceba96eaca6613b0d977550ea5e930e3f)
- feat: add editor comp [`d6b6c39`](https://github.com/enesozturk/awesome-course/commit/d6b6c3968db566d5cc4e6b9722c7d6827824fb56)
- feat: add start and completed pages [`d95d892`](https://github.com/enesozturk/awesome-course/commit/d95d892fb7e9e764af50f4dde3105d44465bc159)
- refactor: add functionality to footer, update props [`7968c00`](https://github.com/enesozturk/awesome-course/commit/7968c00f7c03a9f2bd1666bcc2d52d7126f832e5)
- chore: update docusaurus config [`f1af57f`](https://github.com/enesozturk/awesome-course/commit/f1af57f5ed6f8ed8dfbd56fe4b576743ff24da97)
- refactor: connect footer and editor, update props [`ec75269`](https://github.com/enesozturk/awesome-course/commit/ec75269ef9bea8281ebc7d8b57cd38e29900b789)
- refactor: update editor styles for layout [`67eba64`](https://github.com/enesozturk/awesome-course/commit/67eba645848bee8ebb53a8118bb1d9a928f68b07)
- refactor(doc): small changes to docs [`dd75614`](https://github.com/enesozturk/awesome-course/commit/dd75614180f91417d559470dd2df603e575ca558)
- refactor: move page methods to utils folder, update next config for fs issue [`ed6a6c9`](https://github.com/enesozturk/awesome-course/commit/ed6a6c94e720b1a01b4ac58aea0522c7aef1d8c9)
- refactor: use icons for footer buttons in small screens [`65fbfe5`](https://github.com/enesozturk/awesome-course/commit/65fbfe5f1efc392166f4973c492912598d425e83)
- feat: add markdown styles and custom utility classes [`c753af3`](https://github.com/enesozturk/awesome-course/commit/c753af3eca744d02f4ee3bd99279125f4cacf898)
- refactor: create classes for common styles [`0320550`](https://github.com/enesozturk/awesome-course/commit/032055076bbc5a30329cadedbf6fb92371cdf988)
- refactor: create lesson and chapter files structure and update editor comp [`895d1e0`](https://github.com/enesozturk/awesome-course/commit/895d1e07bf42053e9e12713e37aea3409512e86c)
- refactor: update editor comp [`5c24192`](https://github.com/enesozturk/awesome-course/commit/5c2419261beaf1684775064025b5357901fbe42a)
- refactor: separate lib methods and constants [`0f3c569`](https://github.com/enesozturk/awesome-course/commit/0f3c5692080add829030e58519896d92cd34aae5)
- feat: check failure to show answer button [`f984df7`](https://github.com/enesozturk/awesome-course/commit/f984df742a1500fe6a0229681f874eb5a4715f2a)
- feat: add responsiveness, toggle to doc and editor [`32cfe66`](https://github.com/enesozturk/awesome-course/commit/32cfe668363d3204da8192157510db7d224a78db)
- feat: add page static methods and add markdown content to chapter page [`a2403f0`](https://github.com/enesozturk/awesome-course/commit/a2403f0630587f2bbe60d84aca5b364c03d5afa0)
- refactor: remove refs, move editor state to context [`ee8a67d`](https://github.com/enesozturk/awesome-course/commit/ee8a67dde01be969623f3cdcd032daae707159b6)
- feat: add editor context to store data [`b7e9a2f`](https://github.com/enesozturk/awesome-course/commit/b7e9a2fceb3850bb2f26f83f144756fe1628fee3)
- refactor: add editor hook [`b3d3401`](https://github.com/enesozturk/awesome-course/commit/b3d34011bd130dcc76dca71a66a6bd93c6d5fd10)
- chore: add example start and completed docs [`cea70cd`](https://github.com/enesozturk/awesome-course/commit/cea70cd15199fb5150f50974eb544fe1f13c57a4)
- feat: add new util methods for start and completed page props [`039c264`](https://github.com/enesozturk/awesome-course/commit/039c2645137faa4012f405598c84fa15bd7a2756)
- chore: update example course content [`6a2f931`](https://github.com/enesozturk/awesome-course/commit/6a2f931014e89fb95d9f5e213dbb34d4d7385b51)
- feat: add file to edit prop to show user which file to edit [`19edc8a`](https://github.com/enesozturk/awesome-course/commit/19edc8a4408347063d583323dd5ebb18e5039a06)
- feat: add footer with static data [`3ec211c`](https://github.com/enesozturk/awesome-course/commit/3ec211c716897d7c95d4174f6e5c591dbb89db63)
- feat: get title from readme file [`9d67edf`](https://github.com/enesozturk/awesome-course/commit/9d67edf090383737c497876a5cad4bea76084d53)
- chore: remove mock page data [`9302cc5`](https://github.com/enesozturk/awesome-course/commit/9302cc5d21e06811c095b92d3e373d302bf92615)
- refactor: conditional render for editor buttons, update complete button styles [`788bf24`](https://github.com/enesozturk/awesome-course/commit/788bf243bfa59eddea252b22b7e9b6cb45b531ba)
- chore: add documentation action [`206c70a`](https://github.com/enesozturk/awesome-course/commit/206c70a5470741e83cea36715814f9e60dd191f0)
- chore: update readme and twitter meta data [`ab597f7`](https://github.com/enesozturk/awesome-course/commit/ab597f732695bd36d6c4d1c3af6aa2f4440700f6)
- chore: add example content [`951772b`](https://github.com/enesozturk/awesome-course/commit/951772b03a6134cc5af5bc66ec46dc9bc8c01571)
- chore: add head meta data [`7e2c06d`](https://github.com/enesozturk/awesome-course/commit/7e2c06dcd1a6fde801cb1a669a18fc46a8123de3)
- chore: add initial readme [`ec52593`](https://github.com/enesozturk/awesome-course/commit/ec525934c7107512db9d3378511b9e4d602fdfba)
- refactor: update prop name [`367ba61`](https://github.com/enesozturk/awesome-course/commit/367ba61be37c044dacda28177197bef4413f2669)
- refactor: update home page with image and stylings [`3fd1ce5`](https://github.com/enesozturk/awesome-course/commit/3fd1ce5213937ca618a839182364e2d657cf23a5)
- refactor: separate utils in lib [`2782491`](https://github.com/enesozturk/awesome-course/commit/27824912ed4f3ee41d0c0d1111ec55eb36b4b04d)
- feat: add toast component and wrap app with editor provider [`7bf2693`](https://github.com/enesozturk/awesome-course/commit/7bf2693eab199c395828db812a98970f394a41ec)
- chore: update repo readme [`9f05566`](https://github.com/enesozturk/awesome-course/commit/9f0556623f79e5793cce3d98aaeb6f428e45df38)
- feat: add answer check utils [`3f39b90`](https://github.com/enesozturk/awesome-course/commit/3f39b90de0e964a571c347413c3ae7d9bb82a1f9)
- refactor: update home page [`3f7a7d6`](https://github.com/enesozturk/awesome-course/commit/3f7a7d62d2b4e36ec8bb4fc18c19fc48b131aaaa)
- chore: update docs [`6bddbbe`](https://github.com/enesozturk/awesome-course/commit/6bddbbe2371dfc95cd7bc11542138e78a3230fa5)
- refactor: update footer styles [`f29a842`](https://github.com/enesozturk/awesome-course/commit/f29a842285697ad48882c9500022261c59f7a4a1)
- chore: update workflow files [`e16cc31`](https://github.com/enesozturk/awesome-course/commit/e16cc314829043f209c5416d730f846a45f9ddd7)
- fix: broken link [`8e734b4`](https://github.com/enesozturk/awesome-course/commit/8e734b4b8861f3df5e0ac213c9106d3fc37463db)
- chore: update readme [`639ca0e`](https://github.com/enesozturk/awesome-course/commit/639ca0e57187971f899e50658ce2387e501b524f)
- fix: update dependencies, add check icon [`4b72fd0`](https://github.com/enesozturk/awesome-course/commit/4b72fd0fab69b357490cfe21a17b358dd1969220)
- chore: update readme [`afc7722`](https://github.com/enesozturk/awesome-course/commit/afc7722d001423b91c0f20949136d32a6c1df043)
- fix: update readme check list [`142606a`](https://github.com/enesozturk/awesome-course/commit/142606a198247523d544e6d82232d1136eea8b46)
- refactor: udpate readme and example course path [`d09b929`](https://github.com/enesozturk/awesome-course/commit/d09b929c5cf6e4fefd611ceb6997fb1f5b0198d0)
- refactor: update markdown styles [`0d3de2b`](https://github.com/enesozturk/awesome-course/commit/0d3de2beaf9e2a859941ac489adf29345c7dbb44)
- chore: udpate workflow configs [`216af58`](https://github.com/enesozturk/awesome-course/commit/216af580648e1274078dabefb3f4c29c99003055)
- fix: update readme check list [`c6b95a2`](https://github.com/enesozturk/awesome-course/commit/c6b95a220e9804feb4d4900e25a8516ead8d7b8d)
- chore: update og image src [`b5a7e72`](https://github.com/enesozturk/awesome-course/commit/b5a7e72c7b1d0b2f659e5c39daadcbdaea3dc007)
- refactor: update global styles for tailwind [`5d5a437`](https://github.com/enesozturk/awesome-course/commit/5d5a43742d4ec83f189a8313e4fec1eff5ca8c43)
- refactor: update home page styles [`3ed9113`](https://github.com/enesozturk/awesome-course/commit/3ed9113beb5240cdf14a8beeec503f5315eccdf2)
- chore: add link to home page to navigate chapter [`c06332c`](https://github.com/enesozturk/awesome-course/commit/c06332c3e05fd217b1614ec21680cc8c15e37f88)
- feat: add share on twitter butotn [`827bc84`](https://github.com/enesozturk/awesome-course/commit/827bc84d5ed67964d27b446d9c261995471ba5a3)
- chore: update meta data values [`6ca4898`](https://github.com/enesozturk/awesome-course/commit/6ca4898263b78b931c93fe4739e45e6fa0c1208a)
- chore: remove logs and use current file for diff editor [`b88cd3e`](https://github.com/enesozturk/awesome-course/commit/b88cd3e0914c1e46be3a7e1ce38dd3ee6c2bc5c7)
- refactor: update markdown styles [`56fd4c2`](https://github.com/enesozturk/awesome-course/commit/56fd4c20b288f0bd3a71e7e50f620e2549bd5eb4)
- fix(doc): broken links [`8e8bebe`](https://github.com/enesozturk/awesome-course/commit/8e8bebe21e1f2f1a328b7f700f8f08c86153dfc4)
- chore: update readme [`2c71e45`](https://github.com/enesozturk/awesome-course/commit/2c71e455ffdee55e64e08580ce081fed7ef5525b)
- chore: remove api page [`ce83d5c`](https://github.com/enesozturk/awesome-course/commit/ce83d5ca919d4b035265dc2f4cbc9e1fd6e47b43)
- refactor: udpate markdown styles [`22dadad`](https://github.com/enesozturk/awesome-course/commit/22dadad07d76f80b8045a4b1d2ea47b67871de96)
- chore: update readme [`5c86d4a`](https://github.com/enesozturk/awesome-course/commit/5c86d4a72bd8ab4797206c3f584faf9645d2ef57)
- chore: update readme [`023c926`](https://github.com/enesozturk/awesome-course/commit/023c926d38fe1a5d3dc4ad3236ea8fa71148c921)
- fix: use optional propery access [`67839b8`](https://github.com/enesozturk/awesome-course/commit/67839b8267d6057f7815ae523ba83c744b77d7e1)
- fix: update ts issue [`10a05de`](https://github.com/enesozturk/awesome-course/commit/10a05de259e6162f2ac875477d7e0ad2b3e63a98)
- chore: update readme [`b794582`](https://github.com/enesozturk/awesome-course/commit/b794582b0c41b92c885af6dc3e5f1da296022aa2)
- chore: update head tags [`63302f6`](https://github.com/enesozturk/awesome-course/commit/63302f6c0966096aee08491161b274fe5a54ad22)
- chore: add tar file [`a611893`](https://github.com/enesozturk/awesome-course/commit/a61189389cf5770e2e7ca6651f107d604681fbb4)
- chore: update favicon [`d65341a`](https://github.com/enesozturk/awesome-course/commit/d65341ae4042f12109038315dc432f4d8faa8d26)
